VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::ServicesTypes::ServiceInfo Class Reference

`Services.ServiceInfo` class Structure that describes a service and the operations you can perform on a service. More...

List of all members.

## Public Member Functions
| ServiceInfo ()
| Creates a default new instance.
string | GetName ()
| The name of the service, for example, "vmware-vpxd".
void | SetName (string name)
| The name of the service, for example, "vmware-vpxd".
string | GetDescription ()
| A description of the service.
void | SetDescription (string description)
| A description of the service.
global::System.Collections.Generic.List < vmware.appliance.techpreview.ServicesTypes.ServiceOps > | GetOperations ()
| The operations encoded in an array, supported by the service.
void | SetOperations (global::System.Collections.Generic.List< vmware.appliance.techpreview.ServicesTypes.ServiceOps > operations)
| The operations encoded in an array, supported by the service.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`Services.ServiceInfo` class Structure that describes a service and the operations you can perform on a service.

## Constructor & Destructor Documentation

vmware::appliance::techpreview::ServicesTypes::ServiceInfo::ServiceInfo | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::techpreview::ServicesTypes::ServiceInfo::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::techpreview::ServicesTypes::ServiceInfo::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::techpreview::ServicesTypes::ServiceInfo::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::techpreview::ServicesTypes::ServiceInfo::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::techpreview::ServicesTypes::ServiceInfo::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::techpreview::ServicesTypes::ServiceInfo::Equals | ( | object | obj | ) | `[inline]`

string vmware::appliance::techpreview::ServicesTypes::ServiceInfo::GetDescription | ( |  | ) | `[inline]`

A description of the service.

The description can be empty.

override int vmware::appliance::techpreview::ServicesTypes::ServiceInfo::GetHashCode | ( |  | ) | `[inline]`

string vmware::appliance::techpreview::ServicesTypes::ServiceInfo::GetName | ( |  | ) | `[inline]`

The name of the service, for example, "vmware-vpxd".

This name is unique per machine.

global::System.Collections.Generic.List<vmware.appliance.techpreview.ServicesTypes.ServiceOps> vmware::appliance::techpreview::ServicesTypes::ServiceInfo::GetOperations | ( |  | ) | `[inline]`

The operations encoded in an array, supported by the service.

void vmware::appliance::techpreview::ServicesTypes::ServiceInfo::SetDescription | ( | string | description | ) | `[inline]`

A description of the service.

The description can be empty.

void vmware::appliance::techpreview::ServicesTypes::ServiceInfo::SetName | ( | string | name | ) | `[inline]`

The name of the service, for example, "vmware-vpxd".

This name is unique per machine.

void vmware::appliance::techpreview::ServicesTypes::ServiceInfo::SetOperations | ( | global::System.Collections.Generic.List< vmware.appliance.techpreview.ServicesTypes.ServiceOps > | operations | ) | `[inline]`

The operations encoded in an array, supported by the service.

override string vmware::appliance::techpreview::ServicesTypes::ServiceInfo::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- ServicesTypes.cs